## org.jibx.extras
Class DomListMapper

    java.lang.Object
      org.jibx.extras.DocumentModelMapperBase
          org.jibx.extras.DomMapperBase
              org.jibx.extras.DomListMapper

All Implemented Interfaces:
  IMarshaller, IUnmarshaller

    public class DomListMapper

extends DomMapperBase
implements IMarshaller, IUnmarshaller

Custom content list marshaller/unmarshaller to DOM representation. This allows you to mix data binding and document model representations for XML within the same application. You simply use this marshaller/unmarshaller with a linked object type that implements `java.util.List` (the actual runtime type - the declared type is ignored and can be anything). When unmarshalling it will create an instance of `java.util.ArrayList` if a list is not passed in and any content is present, then return all the content up to the close tag for the enclosing element in the list. When marshalling, it will simply write out any content directly.

Version:
  1.0
Author:
  Dennis M. Sosnoski

Field Summary

Fields inherited from class org.jibx.extras.DocumentModelMapperBase
`XML_NAMESPACE, XMLNS_NAMESPACE`

Constructor Summary
`DomListMapper()` Default constructor.

Method Summary
`boolean` `isExtension(int index)` Check if marshaller represents an extension mapping.
`boolean` `isPresent(IUnmarshallingContext ctx)` Check if instance present in XML.
`void` `marshal(java.lang.Object obj, IMarshallingContext ictx)` Marshal instance of handled class.
`java.lang.Object` `unmarshal(java.lang.Object obj, IUnmarshallingContext ictx)` Unmarshal instance of handled class.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DomListMapper

    public DomListMapper()
                  throws JiBXException

  Default constructor.

  Throws:
    `JiBXException` - on configuration error

Method Detail

### isExtension

    public boolean isExtension(int index)

  Description copied from interface: `IMarshaller`
  Check if marshaller represents an extension mapping. This is used by the framework in generated code to verify compatibility of objects being marshalled using an abstract mapping.

  Specified by:
    `isExtension` in interface `IMarshaller`
  Parameters:
    `index` - abstract mapping index to be checked
  Returns:
    `true` if this mapping is an extension of the abstract mapping, `false` if not

### marshal

    public void marshal(java.lang.Object obj,
                        IMarshallingContext ictx)
                 throws JiBXException

  Description copied from interface: `IMarshaller`
  Marshal instance of handled class. This method call is responsible for all handling of the marshalling of an object to XML text. It is called at the point where the start tag for the associated element should be generated.

  Specified by:
    `marshal` in interface `IMarshaller`
  Parameters:
    `obj` - object to be marshalled (may be `null` if property is not optional)
    `ictx` - XML text output context
  Throws:
    `JiBXException` - on error in marshalling process

### isPresent

    public boolean isPresent(IUnmarshallingContext ctx)
                      throws JiBXException

  Description copied from interface: `IUnmarshaller`
  Check if instance present in XML. This method can be called when the unmarshalling context is positioned at or just before the start of the data corresponding to an instance of this mapping. It verifies that the expected data is present.

  Specified by:
    `isPresent` in interface `IUnmarshaller`
  Parameters:
    `ctx` - unmarshalling context
  Returns:
    `true` if expected parse data found, `false` if not
  Throws:
    `JiBXException` - on error in unmarshalling process

### unmarshal

    public java.lang.Object unmarshal(java.lang.Object obj,
                                      IUnmarshallingContext ictx)
                               throws JiBXException

  Description copied from interface: `IUnmarshaller`
  Unmarshal instance of handled class. This method call is responsible for all handling of the unmarshalling of an object from XML text, including creating the instance of the handled class if an instance is not supplied. When it is called the unmarshalling context is always positioned at or just before the start tag corresponding to the start of the class data.

  Specified by:
    `unmarshal` in interface `IUnmarshaller`
  Parameters:
    `obj` - object to be unmarshalled (may be `null`)
    `ictx` - unmarshalling context
  Returns:
    unmarshalled object (may be `null`)
  Throws:
    `JiBXException` - on error in unmarshalling process

Project Web Site |